Comparator

Symbol: |
Description: | This function block compares the two input values INP1 and INP2 according a selected relation. The following compare relations are available: <>; <=; <; >=; >; =. The result will be given at the binary output OUT.
Parameter: | The parameter dialog can be used to select a data type and the desired compare relation.
Signals: | Name | I/O | Type(s) | Function
 | INP1 | I | BYTE, UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Input value 1
 | INP2 | I | BYTE, UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Input value 2
 | OUT | O | BIT | Result
Visualization: | The currently selected relation will be depicted in the symbol. If the result is true and the output is set to HIGH the symbol will be highlighted.
Comments: | If no connection exists another data type can be assigned by creating a new connection. If the data type is changed by the parameter dialog all invalid connections will be deleted. The data type BYTE is uses as unsigned.


Limiter

Symbol:

Description:

This function block limits the range of the input signal INP to a defined minimum and maximum respectively.

If the value INP is within the given range, it will be set to the output OUT. If the input exceeds the maximum, only the maximum will be set to the output OUT and the signal Qo will set to HIGH. If INP falls below the minimum, only the minimum will set to the output OUT and the signal Qu will set to HIGH.

If the value of MIN is greater than MAX, the value of MAX will be send to the output OUT and both outputs Qu and Qo will set to HIGH.

Operation:

Condition

Qu

Qo

OUT

INP <= MIN

1

0

MIN

MIN < INP < MAX

0

0

INP

MAX <= INP

0

1

MAX

MAX < MIN

1

1

MAX

Characteristic:

Parameter:

The parameter dialog can be used to select a data type.

Signals:

Name

I/O

Type(s)

Function

INP

I

BYTE, UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE

Input signal

MIN

I

BYTE, UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE

Lower limit

MAX

I

BYTE, UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE

Upper limit

OUT

O

BYTE, UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE

Output signal

Qu

O

BIT

Minimum reached

Qo

O

BIT

Maximum reached

Comments:

If no connection exists another data type can be assigned by creating a new connection.

If the data type is changed by the parameter dialog all invalid connections will be deleted.

The data type BYTE is uses as unsigned.


Limit indicator

Symbol: |
Description: | This function block detects and signals the surpassing of a limit. If the value of INP exceeds the limit given by input GW, the output OUT will set to HIGH.
Parameter: | The parameter dialog can be used to select a data type.
Signals: | Name | I/O | Type(s) | Function
 | INP | I | BYTE, UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Input signal
 | GW | I | BYTE, UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Limit value
 | OUT | O | BIT | Limit reached
Comments: | If no connection exists another data type can be assigned by creating a new connection. If the data type is changed by the parameter dialog all invalid connections will be deleted. The data type BYTE is uses as unsigned.


Maximum

Symbol: |
Description: | This function block searches for the largest value in the input vector INP and set this value to the output OUT.
Parameter: | The parameter dialog can be used to select a data type.
Signals: | Name | I/O | Type(s) | Function
 | INP | I | BYTE, UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Input vector
 | OUT | O | BYTE, UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Output value
Comments: | If no connection exists another data type can be assigned by creating a new connection. If the data type is changed by the parameter dialog all invalid connections will be deleted. The data type BYTE is uses as unsigned.


Minimum

Symbol: |
Description: | This function block searches for the smallest value in the input vector INP and set this value to the output OUT.
Parameter: | The parameter dialog can be used to select a data type.
Signals: | Name | I/O | Type(s) | Function
 | INP | I | BYTE, UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Input vector
 | OUT | O | BYTE, UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Output value
Comments: | If no connection exists another data type can be assigned by creating a new connection. If the data type is changed by the parameter dialog all invalid connections will be deleted. The data type BYTE is uses as unsigned.


Multiplexer

Symbol: |
Description: | This function block sets a selected element from the input vector INP to the output OUT. The input N determines the selected index (starting with 0). If N indicates beyond the last element of the vector, the last element is given to the output. If N is less than 0, the first element is given to the output.
Parameter: | The parameter dialog can be used to select a data type.
Signals: | Name | I/O | Type(s) | Function
 | INP | I | BYTE, UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Input vector
 | N | I | WORD | Index
 | OUT | O | BYTE, UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Output value
Comments: | If no connection exists another data type can be assigned by creating a new connection. If the data type is changed by the parameter dialog all invalid connections will be deleted.


Switch

Symbol: |
Description: | This function block switches between two given input signals. The binary signal SEL controls the switch. If SEL is LOW, the input value INP1 is selected for the output OUT. If SEL is HIGH, the input value INP2 is selected for the output OUT.
Operation: | SEL = LOW à OUT = INP1 SEL = HIGH à OUT = INP2
Parameter: | The parameter dialog can be used to select a data type.
Signals: | Name | I/O | Type(s) | Function
 | INP1 | I | BYTE, UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Input signal 1
 | INP2 | I | BYTE, UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Input signal 2
 | SEL | I | BIT | Switch
 | OUT | O | BYTE, UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Output signal
Visualization: | The actual state of the switch will be shown directly in the symbol.
Comments: | If no connection exists another data type can be assigned by creating a new connection. If the data type is changed by the parameter dialog all invalid connections will be deleted.